Loading...
Searching...
No Matches
pdumodel::TransferSwitch::Settings Struct Reference

Transfer switch settings. More...

`import <TransferSwitch.idl;`

## Public Attributes

string | name
| User-defined name.
int | preferredSource
| Preferred inlet.
boolean | autoRetransfer
| Enable automatic retransfer if power on active inlet is restored.
boolean | noAutoRetransferIfPhaseFault
| Don't automatically retransfer if inlet phases are out of sync.
int | autoRetransferWaitTime
| Time (in s) to delay retransfer after power restoration.
boolean | manualTransferEnabled
| Enable state of 'manual transfer' front panel button.
boolean | phaseSyncSensorEnabled
| False to force the 'phaseSyncAlarm' sensor to unavailable.

## Detailed Description

Transfer switch settings.

Definition at line 87 of file TransferSwitch.idl.

## Member Data Documentation

## autoRetransfer

boolean pdumodel::TransferSwitch::Settings::autoRetransfer

Enable automatic retransfer if power on active inlet is restored.

Definition at line 91 of file TransferSwitch.idl.

## autoRetransferWaitTime

int pdumodel::TransferSwitch::Settings::autoRetransferWaitTime

Time (in s) to delay retransfer after power restoration.

Definition at line 93 of file TransferSwitch.idl.

## manualTransferEnabled

boolean pdumodel::TransferSwitch::Settings::manualTransferEnabled

Enable state of 'manual transfer' front panel button.

Definition at line 94 of file TransferSwitch.idl.

## name

string pdumodel::TransferSwitch::Settings::name

User-defined name.

Definition at line 88 of file TransferSwitch.idl.

## noAutoRetransferIfPhaseFault

boolean pdumodel::TransferSwitch::Settings::noAutoRetransferIfPhaseFault

Don't automatically retransfer if inlet phases are out of sync.

Definition at line 92 of file TransferSwitch.idl.

## phaseSyncSensorEnabled

boolean pdumodel::TransferSwitch::Settings::phaseSyncSensorEnabled

False to force the 'phaseSyncAlarm' sensor to unavailable.

Definition at line 95 of file TransferSwitch.idl.

## preferredSource

int pdumodel::TransferSwitch::Settings::preferredSource

Preferred inlet.

Definition at line 90 of file TransferSwitch.idl.

The documentation for this struct was generated from the following file:

- TransferSwitch.idl